package com.caimei.controller;

import com.caimei.module.base.entity.bo.JsonModel;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/3/4
 */
@RestController
@Api(tags = "默认API")
public class DefaultApi {
    @GetMapping("/")
    public String welcome(){
        //return "欢迎使用！《采美365网》! <br><a href='swagger-ui.html'>swagger接口文档入口</a>";
        return "欢迎使用！《正品联盟后台》!";
    }
    /**
     * 刷新token, 供旧系统调用
     */
    @PostMapping("/token/refresh")
    public String tokenRefresh() {
        return "刷新Token成功!";
    }

    /**
     * Token失效
     */
    @GetMapping("/unauthorized")
    public JsonModel unauthorized() {
        return new JsonModel().error(-99, "Token失效请重新登录!");
    }

    /**
     * 处理非法请求
     */
    @GetMapping("/error")
    public JsonModel error() {
        return new JsonModel().error(-100, "非法的请求!");
    }
}
